%define sover 0
Name:          xblas
Version:       1.0.248
Release:       1mamba
Summary:       Extra Precise Basic Linear Algebra Subroutines
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.netlib.org/xblas/
Source:        http://www.netlib.org/xblas/xblas.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: gcc-fortran
BuildRequires: glibc-devel
BuildRequires: libgcc
%ifnarch arm aarch64
BuildRequires: libquadmath-devel
%endif
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Extra Precise Basic Linear Algebra Subroutines.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
sed -i "s,| arm-\*  |,| aarch64-\* | arm-\*  |," config/config.sub

%build
%configure \
   --enable-fortran \
   --disable-plain-blas

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

install -d %{buildroot}%{_libdir}
install -d %{buildroot}%{_includedir}
install -d %{buildroot}%{_docdir}/lib%name-devel

install -m644 *.a %{buildroot}%{_libdir}
install -m644 src/*.h %{buildroot}%{_includedir}
install -p -m644 doc/report.ps %{buildroot}%{_docdir}/lib%{name}-devel

# shared library
pushd %{buildroot}%{_libdir}
gfortran -shared -Wl,--whole-archive lib%{name}.a -Wl,--no-whole-archive \
-o lib%{name}.so.%{sover} -Wl,-soname,lib%{name}.so.%{sover} -Wl,-z,defs
ln -s lib%{name}.so.%{sover} lib%{name}.so
popd

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libxblas.so.0
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/blas_dense_proto.h
%{_includedir}/blas_enum.h
%{_includedir}/blas_extended.h
%{_includedir}/blas_extended_private.h
%{_includedir}/blas_extended_proto.h
%{_includedir}/blas_fpu.h
%{_includedir}/blas_malloc.h
%{_includedir}/f2c-bridge.h
%{_libdir}/libxblas.a
%{_libdir}/libxblas.so
%{_datadir}/doc/libxblas-devel/report.ps
%doc README README.devel

%changelog
* Mon Aug 26 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.248-1mamba
- package created by silvan using the webbuild interface
